fixproc(1)

NAME
fixproc - Fixes a process by performing the specified action.

SYNOPSIS

fixproc [-min n] [-max n] [-check | -kill | -restart | -exist | -fix] proc ...

DESCRIPTION

Fixes a process named "proc" by performing the specified action. The actions can be check, kill, restart, exist, or fix. The action is specified on the command line or is read from a default database, which describes the default action to take for each process. The database format and the meaning of each action are described below.

OPTIONS

-min n
    minimum number of processes that should be running, defaults to 1

-max n
    maximum number of processes that should be running, defaults to 1

-check
    check process against database /local/etc/fixproc.conf.

-kill
    kill process, wait 5 seconds, kill -9 if still exist

-restart
    kill process, wait 5 seconds, kill -9 if still exist, then start again

-exist
    checks if proc exists in ps && (min <= num. of processes <= max)

-fix
    check process against database /local/etc/fixproc.conf. Perform defined action, if check fails.